org.apache.olingo.odata2.client.core.ep.serializer

## Class JsonFeedEntitySerializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.serializer.JsonFeedEntitySerializer

-     public class JsonFeedEntitySerializer
      extends Object

  Producer for writing an entity collection (a feed) in JSON.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonFeedEntitySerializer(EntityCollectionSerializerProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendAsArray(Writer writer, org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator entityInfo, EntityCollection data)` This serializes the json payload feed
    `void` | `appendAsObject(Writer writer, org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator entityInfo, EntityCollection data)` This serializes the json payload feed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonFeedEntitySerializer

          public JsonFeedEntitySerializer(EntityCollectionSerializerProperties properties)

      Parameters:
        `properties` -
      Throws:
        `EntityProviderException`

  - ### Method Detail

    - #### appendAsArray

          public void appendAsArray(Writer writer,
                                    org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator entityInfo,
                                    EntityCollection data)
                             throws EntityProviderException

      This serializes the json payload feed
      Parameters:
        `writer` -
        `entityInfo` -
        `data` -
      Throws:
        `EntityProviderException`

    - #### appendAsObject

          public void appendAsObject(Writer writer,
                                     org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator entityInfo,
                                     EntityCollection data)
                              throws EntityProviderException

      This serializes the json payload feed
      Parameters:
        `writer` -
        `entityInfo` -
        `data` -
        `isRootElement` -
      Throws:
        `EntityProviderException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.